import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'friends_list_request.g.dart';

@JsonSerializable()
class FriendsListRequest extends AppBaseRequest {
  @JsonKey(name: "offset")
  int offset;

  @JsonKey(name: "limit")
  int limit;

  FriendsListRequest({
    required this.offset,
    required this.limit,
  });

  factory FriendsListRequest.fromJson(Map<String, dynamic> json) =>
      _$FriendsListRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$FriendsListRequestToJson(this);
}
